DefaultLoggerFactory Class Reference
Inheritance diagram for DefaultLoggerFactory:

## Public Member Functions

virtual LoggerPtr | makeNewLoggerInstance (log4cxx::helpers::Pool &pool, const LogString &name) const
Public Member Functions inherited from LoggerFactory
virtual | ~LoggerFactory ()
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Member Function Documentation

virtual LoggerPtr makeNewLoggerInstance | ( | log4cxx::helpers::Pool & | pool,
|  | const LogString & | name
| ) |  | const

virtual

Implements LoggerFactory.

The documentation for this class was generated from the following file:

- defaultloggerfactory.h